Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::base::AgoraServiceConfiguration Struct Reference

`#include <IAgoraService.h>`

Inherited by agora::base::AgoraServiceConfigEx.

## Public Member Functions
| AgoraServiceConfiguration ()

## Public Attributes
bool | enableAudioProcessor
bool | enableAudioDevice
bool | enableVideo
void * | context
const char * | appId
unsigned int | areaCode
agora::CHANNEL_PROFILE_TYPE | channelProfile
const char * | license
rtc::AUDIO_SCENARIO_TYPE | audioScenario
commons::LogConfig | logConfig
bool | useStringUid
IServiceObserver * | serviceObserver
Optional< rtc::THREAD_PRIORITY_TYPE > threadPriority | __deprecated
bool | useExternalEglContext
bool | domainLimit

## Detailed Description

The global configurations for AgoraService.

Set these configurations when calling initialize.

## Constructor & Destructor Documentation

## ◆ AgoraServiceConfiguration()

agora::base::AgoraServiceConfiguration::AgoraServiceConfiguration | ( |  | ) |
| inline

## Member Data Documentation

## ◆ enableAudioProcessor

bool agora::base::AgoraServiceConfiguration::enableAudioProcessor

Whether to enable the audio processing module.

- `true`: (Default) Enable the audio processing module.
- `false`: Disable the audio processing module. If you disable the audio processing module, you cannot create audio tracks.

## ◆ enableAudioDevice

bool agora::base::AgoraServiceConfiguration::enableAudioDevice

Whether to enable the audio device module. The function of the audio device module is to manage audio devices, such as recording and playing audio.

- `true`: (Default) Enable the audio device module. Audio recording and playback is available.
- `false`: Disable the audio device module. Audio recording and playback is unavailable.

Note
  If you set `enableAudioDevice` as `false` and set `enableAudioProcessor` as `true`, you cannot use audio devices, but you can push PCM audio data.

## ◆ enableVideo

bool agora::base::AgoraServiceConfiguration::enableVideo

Whether to enable video.

- `true`: Enable video.
- `false`: (Default) Disable video.

## ◆ context

void* agora::base::AgoraServiceConfiguration::context

The user context.

- For Windows, it is the handle of the window that loads the video. Specify this value to support plugging or unplugging the video devices while the host is powered on.
- For Android, it is the context of activity.

## ◆ appId

const char* agora::base::AgoraServiceConfiguration::appId

The App ID of your project.

## ◆ areaCode

unsigned int agora::base::AgoraServiceConfiguration::areaCode

The supported area code, default is AREA_CODE_GLOB

## ◆ channelProfile

agora::CHANNEL_PROFILE_TYPE agora::base::AgoraServiceConfiguration::channelProfile

The channel profile. For details, see CHANNEL_PROFILE_TYPE. The default channel profile is `CHANNEL_PROFILE_LIVE_BROADCASTING`.

## ◆ license

const char* agora::base::AgoraServiceConfiguration::license

The license used for verification when connectting channel. Charge according to the license

## ◆ audioScenario

rtc::AUDIO_SCENARIO_TYPE agora::base::AgoraServiceConfiguration::audioScenario

The audio scenario. See AUDIO_SCENARIO_TYPE. The default value is `AUDIO_SCENARIO_DEFAULT`.

## ◆ logConfig

commons::LogConfig agora::base::AgoraServiceConfiguration::logConfig

The config for custumer set log path, log size and log level.

## ◆ useStringUid

bool agora::base::AgoraServiceConfiguration::useStringUid

Whether to enable string uid.

## ◆ serviceObserver

IServiceObserver* agora::base::AgoraServiceConfiguration::serviceObserver

The service observer.

## ◆ __deprecated

Optional<rtc::THREAD_PRIORITY_TYPE> threadPriority agora::base::AgoraServiceConfiguration::__deprecated

Deprecated
  Thread priority for SDK common threads

## ◆ useExternalEglContext

bool agora::base::AgoraServiceConfiguration::useExternalEglContext

Whether use egl context in current thread as sdk‘s root egl context which shared by all egl related modules. eg. camera capture, video renderer.

Note
  This property applies to Android only.

## ◆ domainLimit

bool agora::base::AgoraServiceConfiguration::domainLimit

Determines whether to enable domain limit.

- `true`: only connect to servers that already parsed by DNS
- `false`: (Default) connect to servers with no limit